Subject: Re: [bug#74517] [PATCH 0/8] Remove gtk@4 input dependency on qtbase@5.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 25 Nov 2024 12:11:28 +0900

Hi,

Nicolas Graves <[email-masked]> writes:

> I found that curious that building gtk@4 inherently requires qtbase@5
> in the store's inputs.  Turns out it's based on a few libraries that
> have optional graphical helping tools.  I've disabled them using
> minimal variants.  After this patch series there are no input-only
> path from gtk@4 to qtbase@5.
>
> Nicolas Graves (8):
>   gnu: Add v4l-utils-minimal.
>   gnu: zbar: Split outputs.
>   gnu: Add zbar-minimal.
>   gnu: libde265: Remove unused qtbase-5 input.

I left some comments; I think I'd prefer a simpler rebuilt variant
solution compared to the fancier but more frail (because of more
complex) runpath hacking/trivial-build-system copying business involved
in this version.

>   gnu: libde265: Update to 1.0.14.
>   gnu: libdc1394: Replace v4l-utils by v4l-utils-minimal.
>   gnu: gst-plugins-bad: Replace inputs with -minimal variants.
>   gnu: gst-plugins-good: Replace v4l-utils by v4l-utils-minimal.

These LGTM.

Thanks a lot for tackling this problem!

-- 
Maxim